API ReferenceWorkflows

List workflows

Get a paginated list of workflows for scopes the authenticated user manages.

GET
/v1/workflows
AuthorizationBearer <token>

OAuth 2.0 authorization code flow

In: header

Query Parameters

limit?integer

The maximum number of entries to return in the paginated response.

Range1 <= value <= 100
Default20
after?string

A cursor for use in pagination. Returns entries after the given cursor. Cursor values can be found in the metadata object on paginated responses.

before?string

A cursor for use in pagination. Returns entries before the given cursor. Cursor values can be found in the metadata object on paginated responses.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/workflows"
{  "entries": [    {      "created_at": "2024-01-15T10:30:00Z",      "id": "wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X",      "name": "Send confirmation email",      "state": "active"    },    {      "created_at": "2024-01-15T10:30:00Z",      "id": "wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X",      "name": "Send confirmation email",      "state": "active"    }  ],  "metadata": {    "after": "eyJpZCI6IndvcmtmbG93X2FiYzEyMyJ9",    "before": null,    "limit": 25  }}